cancel
Showing results for 
Search instead for 
Did you mean: 

ModusToolbox Bluetooth SDK

jeje_2937166
New Contributor II

Hi 

I wish to use btsnd_hcic_write_simple_pairing_mode

I used it in wiced studio sdk.

but  I don't use it in ModusBox.  Why don't I use it??

I want to disable to simple pairing.

How can I use btsnd_hcic_write_simple_pairing_mode? 

or Do you have other solution?

0 Likes
1 Solution
DheerajPK_41
Moderator
Moderator

Hi,

This feature is not supported by the current SDKs. Currently we do not have a specific timeline to fix it. 

Thanks,

-Dheeraj

View solution in original post

0 Likes
10 Replies
DheerajPK_41
Moderator
Moderator

Hi,

Are you getting any error while using it? Could you please share it?

Mean time, Let me test and check it internally and get back to you.

 

Thanks,

-Dheeraj

0 Likes
jeje_2937166
New Contributor II

Hi Dheeraj

 

The error is complie's error. I failed compile

 

jeje_2937166_0-1612484358677.png

 

Thanks

 

0 Likes
DheerajPK_41
Moderator
Moderator

Hi,

Thank you for sharing the error. I could reproduce it.

Seems like the symbols are not added for btsnd_hcic_write_simple_pairing_mode() API in the latest BTSDK. Let me check it internally and let you know.

 

Thanks,

-Dheeraj

0 Likes
DheerajPK_41
Moderator
Moderator

Hi,

Symbols for btsnd_hcic_write_simple_pairing_mode() is not enabled in the latest BTSDK. Infact this was disable for a while as well. Our development team will evaluate the request to enable the API and consider in the next SDK release.

 

Our stack support both legacy as well as SSP. So, may I know why do you want to disable SSP?

Thanks,

-Dheeraj 

0 Likes
jeje_2937166
New Contributor II

Hi Dheeraj 

 My customer want to use both SSP and legacy.

Do I know other way for SSP disable.

 

Thank you 

0 Likes
DheerajPK_41
Moderator
Moderator

Hi,

I believe, to use Legacy pairing, you do not need to disable SSP. Our device support both SPP and legacy. 

So even if a peer support only legacy, the pairing should work properly. 

Thanks,

-Dheeraj

0 Likes
jeje_2937166
New Contributor II

Hi Dheeraj

when 20706 connect smart phone. I want to use  pincode.

so. I have to SSP disable in 20706A2

 

Thanks  

0 Likes
DheerajPK_41
Moderator
Moderator

Hi,

We hope the  pairing should work properly even if the peer supports only the legacy pairing.

May I know whether you are getting any error while pairing? 

If there is any issue, please share us the project and steps to reproduce it so that we can get to know more about the situation.

 

Thanks,

-Dheeraj

 

0 Likes
jeje_2937166
New Contributor II

Hi Dheeraj

 

I just want to disable ssp to use pincode.

This is irrelevant with peer device.

My peer device is smart phone.

I want my device to choose between legacy paring and ssp pairing

 

Thank you 

 

 

0 Likes
DheerajPK_41
Moderator
Moderator

Hi,

This feature is not supported by the current SDKs. Currently we do not have a specific timeline to fix it. 

Thanks,

-Dheeraj

View solution in original post

0 Likes